import org.antlr.runtime.*;

public class Calc {
    public static void main(String[] args) throws Exception {
        // create a CharStream that reads from standard input
        ANTLRInputStream input = new ANTLRInputStream(System.in);
        // create a lexer that feeds off of input CharStream
        calc2Lexer lexer = new calc2Lexer(input);
        // create a buffer of tokens pulled from the lexer
        CommonTokenStream tokens = new CommonTokenStream(lexer);
        // create a parser that feeds off the tokens buffer
        calc2Parser parser = new calc2Parser(tokens);
        // begin parsing at rule r
        parser.calc();
    }
}
