lexer grammar calc2;

// $ANTLR src "calc2.g" 45
PI
	: 'PI'
	;

// $ANTLR src "calc2.g" 49
E
	: 'E'
	;
	
// $ANTLR src "calc2.g" 53
DOUBLE
    : INT
    | '.' INT
    | INT '.'
    | INT '.' INT
    ;

// $ANTLR src "calc2.g" 60
fragment INT
	: '0'..'9'+
	;

// $ANTLR src "calc2.g" 64
PLUS
	: '+'
	;
	
// $ANTLR src "calc2.g" 68
MINUS
	: '-'
	;
	
// $ANTLR src "calc2.g" 72
MULT
	: '*'
	;
	
// $ANTLR src "calc2.g" 76
DIV
	: '/'
	;
	
// $ANTLR src "calc2.g" 80
POW
	: '**'
	;

// $ANTLR src "calc2.g" 84
LPAR
    : '('
    ;

// $ANTLR src "calc2.g" 88
RPAR
    : ')'
    ;

// $ANTLR src "calc2.g" 92
NL
	: '\r'|'\n'
	;

// $ANTLR src "calc2.g" 96
WHITESPACE
	: ('\t'|' '|'\u000C')+ {$channel = HIDDEN;}
	;
